/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package hotel;
import java.util.*;
/**
 *
 * @author admin
 */
public class GuestAdministration {
     GuestCollection guestCol;

    
    public GuestAdministration() {
        guestCol = new GuestCollection();
    }

    public GuestAdministration(GuestCollection guestCol) {
        this.guestCol = guestCol;
    }

    public GuestCollection getCollection() {
        return guestCol;
    }

    public boolean registerGuestInfo(String guestNo, String name, String address, int phoneNo) {
        guestCol.registerGuest(guestNo, name, address, phoneNo);
        return true;
    }

    public boolean addGuest(Guest g) {
        guestCol.addGuest(g);
        return true;
    }

    public Guest getGuest(String guestNo) {
        return guestCol.getGuest(guestNo);
    }
      public Guest getGuestIndex(int index) {
        return guestCol.getGuest(index);
    }

    public Guest removeGuest(String guestNo) {
        return guestCol.removeGuest(guestNo);
    }
      public Guest removeGuestIndex(int index) {
        return guestCol.removeGuest(index);
    } 
      public GuestCollection getGuestsByName(String name) {
       return guestCol.getGuestsByName(name);
    }

      

    public void editGuest(String guestNo, String newGuestNo, String name, String address, int phoneNo, String state) {
        guestCol.editGuest(guestNo, newGuestNo, name, address, phoneNo, state);
    }

    public boolean editGuest1(Guest oldGuest, Guest newGuest) {
        return guestCol.editGuest1(oldGuest, newGuest);
    }

    public int getNumbers() {
        return guestCol.numberOfGuests();
    }

    public String allGuestsData() {
        return guestCol.allGuestsData();
    }

    public static void main(String[] args) {
        GuestAdministration guestHandler = new GuestAdministration();

       
        Guest g1 = new Guest("150561-7777", "TheBoss", "2650 Hvidovre", 20053433);
        Guest g2 = new Guest("15081-7777", "Zhen Zhao", "2620 Albertslund", 20065646);
        Guest g3 = new Guest("10080-7777", "Vaida Caiser", "2100 Københaven Ø", 20054346);
        guestHandler.addGuest(g1);
        guestHandler.addGuest(g2);
        guestHandler.addGuest(g3);

        System.out.println(guestHandler.allGuestsData());
        System.out.println(guestHandler);  //Automatically uses toString method

        guestHandler.registerGuestInfo("090378-7777", "Simge Ozgul", "2600 Glostrop", 20095678);
         guestHandler.registerGuestInfo("090489-7777", "Peter Rabbit", "4600 Køge", 20096533);
        System.out.println(guestHandler.allGuestsData());
        System.out.println(guestHandler.getNumbers());

    }

}
