/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/*
 * GuestAdministrationGUI.java
 *
 * Created on 27-04-2009, 12:18:24
 */

package hotel;

/**
 *
 * @author admin
 */
import javax.swing.JOptionPane;
public class GuestAdministrationGUI extends javax.swing.JFrame {

    /** Creates new form GuestAdministrationGUI */

      public GuestAdministrationGUI() {
        initComponents();
       
        guestHandler = new GuestAdministration();
    }

     public GuestAdministrationGUI(GuestAdministration guestHandler) {
        initComponents();
        this.guestHandler = guestHandler;
    }

    public GuestAdministrationGUI(GuestCollection guestCol) {
        initComponents();
        guestHandler = new GuestAdministration(guestCol);
    }
    Guest g;
    
    GuestAdministration guestHandler;

    private void showNumbers() {
        int num = guestHandler.getNumbers();
        String numStr = new Integer(num).toString();
        numberTextField.setText(numStr);
    }

    private void createGuest() {

        dataArea.setText("");
        
        String name = JOptionPane.showInputDialog("State name of guest: ");
        String phoneNoStr = JOptionPane.showInputDialog("State phoneNo of registration: ");
        int phoneNo = Integer.parseInt(phoneNoStr);
        Object[] possibleValues = {"Cpr No", "Passport No"};
        String address =  JOptionPane.showInputDialog("State Address of Guest");

         String query = (String)JOptionPane.showInputDialog(null, "Choose Cpr No or Passport No", "Input",
                JOptionPane.QUESTION_MESSAGE, null, possibleValues, possibleValues[0]);
        if (query .equals("Cpr No")){
            String guestNo=JOptionPane.showInputDialog("State the cpr No: ");
       
            
            g = new Guest(guestNo, name, address, phoneNo);
        guestHandler.addGuest(g);
        showNumbers();
        }
        else{
             String guestNo=JOptionPane.showInputDialog("State the passport No  ");
         g = new Guest(guestNo, name, address, phoneNo);
        guestHandler.addGuest(g);
        showNumbers();
        }
       
    }

    private void enterGuest() {

        dataArea.setText("");
       
        String guestNo = guestNoField.getText();
        String name = nameField.getText();
        String phoneNoStr = phoneNoField.getText();
        int phoneNo = Integer.parseInt(phoneNoStr);
        String address = typeField.getText();
        String state = stateField.getText();

        int check = JOptionPane.showConfirmDialog(null, "Register? ", "choose one", JOptionPane.YES_NO_OPTION);

        if (check == 0) {
            guestHandler.registerGuestInfo(guestNo, name, address, phoneNo);
            dataArea.append(" Done");
        } else {
            dataArea.append("Cancelled");
        }
        showNumbers();
    }

    
    private void showGuest() {
        dataArea.append(g.guestData());
        dataArea.append(printEmptyLines(2));
    }

     private void showAllGuests() {
        dataArea.setText(guestHandler.allGuestsData());
        showNumbers();
    }

    private void findGuest() {
        dataArea.setText("");
        String guestNo = JOptionPane.showInputDialog("State guestNo of guest: ");
        g = guestHandler.getGuest(guestNo);

        if (g != null) {
            showGuest();
            this.guestNoField.setText(g.getGuestNo());
            nameField.setText(g.getName());
            typeField.setText(g.getAddress());
            stateField.setText(g.getState());

            phoneNoField.setText("" + g.getPhoneNo());
            String phoneNoStr = new Integer(g.getPhoneNo()).toString();
            phoneNoField.setText(phoneNoStr);

        } else {
            dataArea.setText("No guest found");
        }
    }
    private void findGuestIndex() {
        dataArea.setText("");
        String IntSTR = JOptionPane.showInputDialog("State index of guest: ");
         int index= Integer.parseInt(IntSTR);
        g = guestHandler.getGuestIndex(index);

        if (g != null) {
            showGuest();
            this.guestNoField.setText(g.getGuestNo());
            nameField.setText(g.getName());
            typeField.setText(g.getAddress());
            stateField.setText(g.getState());

            phoneNoField.setText("" + g.getPhoneNo());
            String phoneNoStr = new Integer(g.getPhoneNo()).toString();
            phoneNoField.setText(phoneNoStr);

        } else {
            dataArea.setText("No guest found eith this Index");
        }
    }

    private void deleteGuest() {

        findGuest();
        int check = JOptionPane.showConfirmDialog(null, "Remove guest? ", "choose one", JOptionPane.YES_NO_OPTION);

        if (check == 0) {
            guestHandler.removeGuest(g.getGuestNo());
            dataArea.setText("Guest removed");
        } else {
            dataArea.append("Cancelled. Not removed");
        }
        showNumbers();
    }
     private void deleteGuestIndex() {

        findGuestIndex();
        int check = JOptionPane.showConfirmDialog(null, "Remove guest? ", "choose one", JOptionPane.YES_NO_OPTION);

        if (check == 0) {
            guestHandler.removeGuestIndex(check);
            dataArea.setText("Guest removed");
        } else {
            dataArea.append("Cancelled. Not removed");
        }
        showNumbers();
    }

    private void editGuest1() {

        int check = JOptionPane.showConfirmDialog(null, "Save changes", "choose one", JOptionPane.YES_NO_OPTION);

        if (check == 0) {
            String guestNo = g.getGuestNo();
            String newGuestNo = this.guestNoField.getText();
            String name = nameField.getText();
            String phoneNoStr = phoneNoField.getText();
            int phoneNo = Integer.parseInt(phoneNoStr);
            String address = typeField.getText();
            String state = stateField.getText();

            guestHandler.editGuest(guestNo, newGuestNo, name, address, phoneNo, state);
            dataArea.setText("Guest changed");
        } else {
            dataArea.append("Cancelled. Not changed");
        }
        showNumbers();
    }
     private void editGuest2() {
    
          String oldGuestNo = JOptionPane.showInputDialog("State guest no of guest you want to edit: ");
          String newGuestNo = JOptionPane.showInputDialog("State new guest no: ");
         String name = JOptionPane.showInputDialog("State name of guest: ");
          String address = JOptionPane.showInputDialog("State address of guest: ");
                   String phoneStr = JOptionPane.showInputDialog("State phone no of guest: ");
        int phoneNo = Integer.parseInt(phoneStr);
          int check = JOptionPane.showConfirmDialog(null, "Save changes", "choose one", JOptionPane.YES_NO_OPTION);

        if (check == 0) {
            

            guestHandler.editGuest(oldGuestNo, newGuestNo, name, address, phoneNo, name);
            dataArea.setText("Guest changed");
        } else {
            dataArea.append("Cancelled. Not changed");
        }
        showNumbers();
    }

    private void editGuest() {

        int check = JOptionPane.showConfirmDialog(null, "Save changes", "choose one", JOptionPane.YES_NO_OPTION);
        if (check == 0) {
            guestHandler.removeGuest(g.getGuestNo());
            enterGuest();
           dataArea.setText("Guest edited");
        } else {
            dataArea.append("Cancelled. Not removed");
        }
        showNumbers();
    }
private void getGuestsByName(){
    String name = JOptionPane.showInputDialog("State name of guest: ");
   int check = JOptionPane.showConfirmDialog(null, "Start", "choose one", JOptionPane.YES_NO_OPTION);
    if (check == 0){
 GuestCollection foundGuests = guestHandler.getGuestsByName(name);
  dataArea.setText("Guests by name");
 dataArea.setText(foundGuests.allGuestsData());
  
    String num = String.valueOf(foundGuests.numberOfGuests());
     numberTextField.setText(num); 
    } else {
            dataArea.append("No guests found with this name");
        }
}
    
    
    private void closeWindow() {
        this.dispose();
    }

    private String printEmptyLines(int noLines) {
        String s = "";
        for (int i = 0; i < noLines; i++) {
            s = s + "\n";
        }
        return s;
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        showButton = new javax.swing.JButton();
        jPanel2 = new javax.swing.JPanel();
        jScrollPane1 = new javax.swing.JScrollPane();
        dataArea = new javax.swing.JTextArea();
        dataLabel = new javax.swing.JLabel();
        startButton = new javax.swing.JButton();
        guestNoField = new javax.swing.JTextField();
        jLabel1 = new javax.swing.JLabel();
        nameField = new javax.swing.JTextField();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        phoneNoField = new javax.swing.JTextField();
        typeField = new javax.swing.JTextField();
        jLabel5 = new javax.swing.JLabel();
        stateField = new javax.swing.JTextField();
        registerButton = new javax.swing.JButton();
        jLabel6 = new javax.swing.JLabel();
        numberTextField = new javax.swing.JTextField();
        editButton = new javax.swing.JButton();
        jMenuBar1 = new javax.swing.JMenuBar();
        jMenu1 = new javax.swing.JMenu();
        jMenuItem1 = new javax.swing.JMenuItem();
        jMenuItem4 = new javax.swing.JMenuItem();
        jMenuItem5 = new javax.swing.JMenuItem();
        jMenuItem10 = new javax.swing.JMenuItem();

        showButton.setText("Show Guest");
        showButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                showButtonActionPerformed(evt);
            }
        });

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        jPanel2.setMaximumSize(new java.awt.Dimension(3273, 3276));

        dataArea.setColumns(20);
        dataArea.setRows(5);
        jScrollPane1.setViewportView(dataArea);

        dataLabel.setFont(new java.awt.Font("MS Sans Serif", 1, 14));
        dataLabel.setText("Guest Data");

        startButton.setText("Create Guest");
        startButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                startButtonActionPerformed(evt);
            }
        });

        guestNoField.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                guestNoFieldActionPerformed(evt);
            }
        });

        jLabel1.setText("Cpr / Passport");

        nameField.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                nameFieldActionPerformed(evt);
            }
        });

        jLabel2.setText("Name");

        jLabel3.setText("Phone Number");

        jLabel4.setText("Address");

        phoneNoField.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                phoneNoFieldActionPerformed(evt);
            }
        });

        typeField.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                typeFieldActionPerformed(evt);
            }
        });

        jLabel5.setText("State");

        stateField.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                stateFieldActionPerformed(evt);
            }
        });

        registerButton.setText("Register Guest");
        registerButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                registerButtonActionPerformed(evt);
            }
        });

        jLabel6.setText("Number of guests");

        numberTextField.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                numberTextFieldActionPerformed(evt);
            }
        });

        editButton.setText("Edit Guest");
        editButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                editButtonActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel2Layout = new javax.swing.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel2Layout.createSequentialGroup()
                .addGap(100, 100, 100)
                .addComponent(dataLabel)
                .addGap(808, 808, 808))
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 386, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(631, Short.MAX_VALUE))
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addGap(54, 54, 54)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel1, javax.swing.GroupLayout.PREFERRED_SIZE, 75, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel2, javax.swing.GroupLayout.PREFERRED_SIZE, 75, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel3, javax.swing.GroupLayout.PREFERRED_SIZE, 75, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel4, javax.swing.GroupLayout.PREFERRED_SIZE, 75, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel5, javax.swing.GroupLayout.PREFERRED_SIZE, 75, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(40, 40, 40)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(stateField, javax.swing.GroupLayout.PREFERRED_SIZE, 155, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(typeField, javax.swing.GroupLayout.PREFERRED_SIZE, 155, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(phoneNoField, javax.swing.GroupLayout.PREFERRED_SIZE, 155, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addComponent(nameField, javax.swing.GroupLayout.PREFERRED_SIZE, 155, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(76, 76, 76)
                        .addComponent(numberTextField, javax.swing.GroupLayout.PREFERRED_SIZE, 131, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addComponent(guestNoField, javax.swing.GroupLayout.PREFERRED_SIZE, 155, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(99, 99, 99)
                        .addComponent(jLabel6)))
                .addContainerGap(496, Short.MAX_VALUE))
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel2Layout.createSequentialGroup()
                .addGap(42, 42, 42)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(editButton, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, 103, Short.MAX_VALUE)
                    .addComponent(registerButton, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(startButton, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, 103, Short.MAX_VALUE))
                .addGap(882, 882, 882))
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(guestNoField, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel1)
                    .addComponent(jLabel6))
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(nameField, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jLabel2))
                        .addGap(11, 11, 11)
                        .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel3)
                            .addComponent(phoneNoField, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel4)
                            .addComponent(typeField, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel5)
                            .addComponent(stateField, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addGap(2, 2, 2)
                        .addComponent(numberTextField, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addGap(18, 18, 18)
                .addComponent(startButton, javax.swing.GroupLayout.PREFERRED_SIZE, 21, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(registerButton)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(editButton)
                .addGap(20, 20, 20)
                .addComponent(dataLabel)
                .addGap(18, 18, 18)
                .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 175, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(24, Short.MAX_VALUE))
        );

        jMenu1.setText("File");

        jMenuItem1.setText("Show all guests");
        jMenuItem1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItem1ActionPerformed(evt);
            }
        });
        jMenu1.add(jMenuItem1);

        jMenuItem4.setText("Create new Guest");
        jMenuItem4.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItem4ActionPerformed(evt);
            }
        });
        jMenu1.add(jMenuItem4);

        jMenuItem5.setText("Search Guest ");
        jMenuItem5.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItem5ActionPerformed(evt);
            }
        });
        jMenu1.add(jMenuItem5);

        jMenuItem10.setText("Exit");
        jMenuItem10.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItem10ActionPerformed(evt);
            }
        });
        jMenu1.add(jMenuItem10);

        jMenuBar1.add(jMenu1);

        setJMenuBar(jMenuBar1);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE, 587, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(473, 473, 473))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(37, 37, 37)
                .addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void showButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_showButtonActionPerformed
        // TODO add your handling code here:
        showGuest();
}//GEN-LAST:event_showButtonActionPerformed

    private void startButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_startButtonActionPerformed
        // TODO add your handling code here:
        createGuest();
}//GEN-LAST:event_startButtonActionPerformed

    private void guestNoFieldActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_guestNoFieldActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_guestNoFieldActionPerformed

    private void nameFieldActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_nameFieldActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_nameFieldActionPerformed

    private void phoneNoFieldActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_phoneNoFieldActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_phoneNoFieldActionPerformed

    private void typeFieldActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_typeFieldActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_typeFieldActionPerformed

    private void stateFieldActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_stateFieldActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_stateFieldActionPerformed

    private void registerButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_registerButtonActionPerformed
        // TODO add your handling code here:
        enterGuest();
}//GEN-LAST:event_registerButtonActionPerformed

    private void numberTextFieldActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_numberTextFieldActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_numberTextFieldActionPerformed

    private void editButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_editButtonActionPerformed
        // TODO add your handling code here:
        editGuest();
}//GEN-LAST:event_editButtonActionPerformed

    private void jMenuItem1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItem1ActionPerformed
        // TODO add your handling code here:
        showAllGuests();
    }//GEN-LAST:event_jMenuItem1ActionPerformed

    private void jMenuItem4ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItem4ActionPerformed
        // TODO add your handling code here:
        createGuest();
    }//GEN-LAST:event_jMenuItem4ActionPerformed

    private void jMenuItem5ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItem5ActionPerformed
        // TODO add your handling code here:
        findGuest();
    }//GEN-LAST:event_jMenuItem5ActionPerformed

    private void jMenuItem10ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItem10ActionPerformed
        // TODO add your handling code here:
        closeWindow();
    }//GEN-LAST:event_jMenuItem10ActionPerformed

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new GuestAdministrationGUI().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JTextArea dataArea;
    private javax.swing.JLabel dataLabel;
    private javax.swing.JButton editButton;
    private javax.swing.JTextField guestNoField;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JMenu jMenu1;
    private javax.swing.JMenuBar jMenuBar1;
    private javax.swing.JMenuItem jMenuItem1;
    private javax.swing.JMenuItem jMenuItem10;
    private javax.swing.JMenuItem jMenuItem4;
    private javax.swing.JMenuItem jMenuItem5;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JTextField nameField;
    private javax.swing.JTextField numberTextField;
    private javax.swing.JTextField phoneNoField;
    private javax.swing.JButton registerButton;
    private javax.swing.JButton showButton;
    private javax.swing.JButton startButton;
    private javax.swing.JTextField stateField;
    private javax.swing.JTextField typeField;
    // End of variables declaration//GEN-END:variables

}
