/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package hotel;

/**
 *
 * @author admin
 */
import java.util.*;
public class RoomCatalog {
     private List<Room> rooms;

    
    public RoomCatalog() {
        rooms = new ArrayList<Room>();
    }//constructor

    
    public boolean addRoom(Room aRoom) {
        rooms.add(aRoom); //using the List operation!

        return true;
    }

    
    public String allRoomsData() {
        String s = "\n";
        for (Room room : rooms) {
            s = s + room.toString() + "\n";
        }
        return s;
    }

       public String allRoomsData1() {
        Room r;
        String s = "\n";
        for (int i = 0; i < rooms.size(); i++) {
            r = (Room) rooms.get(i);
            s = s + r.roomData() + "\n";
        }
        return s;
    }

    public String toString() {
        return rooms.toString();

    }

    
    public boolean registerRoom(String roomNo,
           String category,String roomType,double price) {
        Room aRoom = new Room(roomNo, category,roomType, price);
        rooms.add(aRoom);//using the List operation!

        return true;
    }
    public int numberOfRooms() {
        return rooms.size();
    }

       public Room getRoom(String roomNo) {
        Room aRoom;
        String myRoomNo;
        for (int index = 0; index < rooms.size(); index++) {
            aRoom = (Room) rooms.get(index);
            myRoomNo = aRoom.getRoomNo();
            if (myRoomNo.equals(roomNo)) {
                return aRoom;
            }
        }
        return null; // not found

    }

    /** Ass. A Check index. Typecast and return aRoom */
    public Room getRoom(int index) {
        if (index >= 0 && index < rooms.size()) {
            Room r = (Room) rooms.get(index);
            return r;
        } else {
            return null;
        }
    }

  
    public Room removeRoom(String roomNo) {
        String myRoomNo;
        for (Room aRoom : rooms) {
            if ((aRoom.getRoomNo()).equals(roomNo)) {
                rooms.remove(aRoom);
                return aRoom;
            }
        }
        return null; // not found

    }

    
    
    public Room removeRoomNew(String roomNo) {
        Room aRoom;
        aRoom = getRoom(roomNo);
        if (aRoom != null) {
            //found one to be removed
            rooms.remove(aRoom);
            return aRoom;
        }
        return null; // not found

    }

    /** Ass. Extra Check index. Typecast and remove aRoom */
    public Room removeRoom(int index) {
        if (index >= 0 && index < rooms.size()) {
            Room aRoom = (Room) rooms.remove(index);
            return aRoom;
        } else {
            return null;
        }
    }

    /** Ass. 12 An room is edited with new information */
    public void editRoom(String roomNo, String newRoomNo,String category,  String roomType, int price, String state) {

        for (Room i : rooms) {

            if (i.getRoomNo().equals(roomNo)) {
                i.setRoomNo(newRoomNo);
                i.setcategory(category);
                i.setRoomType(roomType);
                i.setPrice(price);
                i.setState(state);
            }
        }
    }

   
    public Room replaceRoom(String roomNo, Room room) {
        String myRoomNo;
        for (Room aRoom : rooms) {
            if ((aRoom.getRoomNo()).equals(roomNo)) {
                int index = rooms.indexOf(aRoom);
                rooms.set(index, aRoom);
                return aRoom;
            }
        }
        return null; // not found

    }

    
    public Room replaceRoom1(String roomNo, Room room) {
        Room aRoom;
        String myRoomNo;
        for (int index = 0; index < rooms.size(); index++) {
            aRoom = (Room) rooms.get(index);
            myRoomNo = aRoom.getRoomNo();
            if (myRoomNo.equals(roomNo)) {
                rooms.set(index, room);
                return aRoom; 

            }
        }

        return null; // not found

    }

    
    public boolean insertRoom(Room room, int index) {
        if (index >= 0 && index < rooms.size()) {
            rooms.add(index, room);
            return true;
        } else {
            return false;
        }
    }

    public int removeRooms1(double price, String roomType) {
        String myType;
        double myPrice; int number = 0;
        for (Room aRoom : rooms) {
            myPrice = aRoom.getPrice();
            myType = aRoom.getRoomType();
            if (myType.equals(roomType) && (myPrice < price)) {
                rooms.remove(aRoom);
                number++;
            }
        }

        return number; 

    }

    
    public int removeRooms(double price, String roomType) {
        Room aRoom;
        String myType;
        double myPrice; int number = 0;
        for (int index = 0; index < rooms.size(); index++) {
            aRoom = (Room) rooms.get(index);
            myPrice = aRoom.getPrice();
            myType = aRoom.getRoomType();
            if (myType.equals(roomType) && (myPrice < price)) {
                rooms.remove(index);
                number++;
                index--; 

            }
        }

        return number;

    }


    public RoomCatalog removeRoomsSpecial(double price, String roomType) {
        RoomCatalog removedRooms = new RoomCatalog();
        String myType;
        double myPrice;
        for (Room aRoom : rooms) {
            myType = aRoom.getRoomType();
            myPrice = aRoom.getPrice();
            if (myType.equals(roomType) && (myPrice < price)) {
                removedRooms.addRoom(aRoom);
               
            }
        }
        return removedRooms; // collection of rooms found and removed
    }

    public static void main(String[] args) {
        // TODO code application logic here
        RoomCatalog RoomCol = new RoomCatalog();

        Room r1 = new Room(" 777","Deluxe ","Single",200);
        Room r2 = new Room("111","Normal",  "Double", 203);
        Room r3 = new Room("222","Deluxe","Single",500);

        RoomCol.addRoom(r1);
        RoomCol.addRoom(r2);
        RoomCol.addRoom(r3);
        System.out.println(RoomCol.allRoomsData());
        System.out.println(RoomCol.toString());
        System.out.println(RoomCol);

    }

}
