/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package hotelbooking;

/**
 *
 * @author admin
 */
import hotel.*;

import java.util.*;
public class BookingCatalog {
 private List<Booking> bookings;

    //Constructors
    public BookingCatalog() {
        bookings = new ArrayList<Booking>();
    }

    public List getCollection() {
        return bookings;
    }

    public String allBookingsData() {
        String s = "\n";
        for (Booking b : bookings) {
            s = s + b.bookingData() + "\n";
        }
        return s;
    }

    //Alternatively
    public String toString1() {
        return bookings.toString();
    }

//   public Room getRoom(String category,String type){
//       Room aRoom;
//       RoomCatalog roomCat = new RoomCatalog();
//       for (Room r  : roomCat)
//           
//       
//   }

    public String toString() {
        Booking r;
        String s = "\n";
        for (int i = 0; i < bookings.size(); i++) {
            r= (Booking) bookings.get(i);
            s = s + r + "\n";
        }
        return s;
    }

    public int numberOfBookings() {
        return bookings.size();
    }

    public boolean addBooking(Booking aBooking) {
        bookings.add(aBooking); //using the List operation!

        return true;
    }

    public boolean  registerBooking(String guestNo, String roomNo, java.sql.Date date_From,java.sql.Date date_To) {
        Booking aBooking = new Booking(guestNo, roomNo,date_From,date_To);
        bookings.add(aBooking);//using the List operation!

        return true;
    }

    public boolean  registerBooking(String guestNo, String itemNo, java.sql.Date date_From,java.sql.Date date_To,
            Guest g, Room r) {
        Booking aBooking = new Booking(guestNo, itemNo,date_From,date_To, g, r);
        bookings.add(aBooking);//using the List operation!

        return true;
    }


    public boolean  registerBooking(Guest g, Room r) {
        Booking aBooking = new Booking(g.getGuestNo(), r.getRoomNo(), g, r);
        bookings.add(aBooking);//using the List operation!

        return true;
    }
      public boolean  registerBooking(String guestNo, String roomNo, Guest g, Room r) {
        Booking aBooking = new Booking(guestNo, roomNo, g, r);
        bookings.add(aBooking);//using the List operation!

        return true;
    }


    public Booking getBooking(String guestNo, String itemNo) {
        Booking r;
        for (int index = 0; index < bookings.size(); index++) {
            r = (Booking) bookings.get(index);
            if ((r.getguestNo()).equals(guestNo) && (r.getRoomNo()).equals(itemNo)) {
                return r;
            }
        }
        return null; // not found

    }

    public Booking getBooking(String roomNo) {
        Booking r;
        for (int index = 0; index < bookings.size(); index++) {
            r= (Booking) bookings.get(index);
            if ((r.getRoomNo()).equals(roomNo)) {
                return r;
            }
        }
        return null; // not found

    }

    public Booking getBooking(int index) {
        if (index >= 0 && index < bookings.size()) {
            return (Booking) bookings.get(index);
        }
        return null;
    }

    public Booking removeBooking(String guestNo, String itemNo) {
        Booking r;
        for (int index = 0; index < bookings.size(); index++) {
            r = (Booking) bookings.get(index);
            if ((r.getguestNo()).equals(guestNo) && (r.getRoomNo()).equals(itemNo)) {
                bookings.remove(index);
                return r;
            }
        }
        return null; // not found

    }

    public Booking removeBooking(String itemNo) {
        Booking r;
        for (int index = 0; index < bookings.size(); index++) {
            r = (Booking) bookings.get(index);
            if ((r.getRoomNo()).equals(itemNo)) {
                bookings.remove(index);
                return r;
            }
        }
        return null; // not found

    }

    public boolean insertBooking(Booking booking, int index) {
        if (index >= 0 && index < bookings.size()) {
            bookings.add(index, booking);
            return true;
        } else {
            return false;
        }
    }

    public int getNoOfBookings() {
        return bookings.size();
    }

    public void addBookingCollection(BookingCatalog newBookings) {
//        for (int index = 0; index < newBookings.getNoOfBookings(); index++)
//            addBooking(newBookings.getBooking(index));
        //Alternatively
        bookings.addAll(newBookings.getCollection());
    }

    public static void main(String[] args) {
        // TODO code application logic here
        BookingCatalog bookingCol = new BookingCatalog();

        Booking b1 = new Booking("23454-3445", "3445fcddd",CalendarCalculator.getDate_From(),CalendarCalculator.getDate_To());
        Booking b2 = new Booking("2a455455", "3dsdfgd", CalendarCalculator.getDate_From(),CalendarCalculator.getDate_To());

        bookingCol.addBooking(b1);
        bookingCol.addBooking(b2);

        System.out.println(bookingCol.toString());

        Guest g1 = new Guest("150561-7777", " Miki Boss", "Adult", 2005);
        Guest g2 = new Guest("15081-7777", "Zhen Zhao", "Adult", 2006);
        Guest g3 = new Guest("10080-7777", "Vaida Caiser", "Adult", 2005);
        Room r1 = new Room("ISBN: 561-777","s", "Book", 2003, "Available");
        Room r2 = new Room("ISBN: 562-888","s", "Book", 2003);
        Room r3 = new Room("ISBN: 563-999",  "s","Book", 2003);

        b1 = new Booking(g2.getGuestNo(), r2.getRoomNo(), g1, r1);

        BookingCatalog bookingColX = new BookingCatalog();

        bookingColX.addBooking(b1);
        bookingColX. registerBooking(g2, r2);
        bookingColX. registerBooking(g2.getGuestNo(),r1.getRoomNo(),g2,r1);
        System.out.println(bookingColX.allBookingsData());
    }

}
