exec sp_addtype guestNoDomain, 'char(5)';
exec sp_addtype addressDomain, 'varchar(50)';
exec sp_addtype stateDomain, 'varchar(15)';
exec sp_addtype cprPassNoDomain, 'varchar(15)';


create table Guest
( guestNo Integer,
  cprPassNo cprPassNoDomain,
  name   varChar (30) not null,
  address  addressDomain ,
  phoneNo  Integer,
state  stateDomain  default  'Active',
  primary key (guestNo),
  
  constraint checkState
               check (State in('Active','Illegel','Passive'))
);
exec sp_addtype RoomNoDomain, 'varchar(10)';
exec sp_addtype CategoryDomain, 'varchar(15)';
exec sp_addtype RoomTypeDomain, 'varchar(15)';
exec sp_addtype statusDomain, 'varchar(30)';
create table Room
( RoomNo RoomNoDomain not null,
  category categoryDomain not null default '  '  ,
  
  roomType  roomtypeDomain  default '  ',
  price  Integer,
status  statusDomain not null default  'Available',
  primary key (roomNo),
   constraint checkcategory
               check (category in('   ' , 'Normal','Deluxe')),
   constraint checkroomType
               check (roomType in('   ' , 'Single','Double','Family')),
 
   constraint checkStatus
               check (Status in('Available','Occupied','NotReady'))
);
exec sp_addtype bookingNoDomain, 'char(5)';
create table Booking
(
 bookingNo Integer,
 guestNo Integer ,
 roomNo varchar(10) not null ,
 date_From dateTime  not null ,
 date_To dateTime not null ,
 primary key(bookingNo),
  constraint fk1 foreign key(guestNo) references
       Guest on update cascade on delete no action,
  constraint fk2 foreign key(roomNo) references
       Room on update cascade on delete no action ,
);
  