/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package hotel;

/**
 *
 * @author admin
 */
public class RoomAdministration {
 public RoomAdministration() {
        roomCat = new RoomCatalog();
    }

    public RoomAdministration(RoomCatalog roomCat) {
        this.roomCat = roomCat;
    }
    RoomCatalog roomCat;

    public RoomCatalog getCatalog() {
        return roomCat;
    }



    public boolean registerRoomInfo(String roomNo,String category,String roomType, int price) {
        roomCat.registerRoom(roomNo,category, roomType, price);
        return true;
    }

    public boolean addRoom(Room room) {
        roomCat.addRoom(room);
        return true;
    }

    public Room getRoom(String roomNo) {
        return roomCat.getRoom(roomNo);
    }

    public Room removeRoom(String roomNo) {
        return roomCat.removeRoom(roomNo);
    }

    public void editRoom(String roomNo, String newRoomNo,String category, String roomType, int price, String state) {
        roomCat.editRoom(roomNo, newRoomNo,category,  roomType, price, state);
    }

    boolean insertRoom(int index, Room room) {
        return roomCat.insertRoom(room, index);
    }

    Room replaceRoom(String roomNo, Room room) {
        return roomCat.replaceRoom(roomNo, room);
    }

    public int getNumbers() {
        return roomCat.numberOfRooms();
    }

    public String allRoomsData() {
        return roomCat.allRoomsData();
    }

    public static void main(String[] args) {
        RoomAdministration roomHandler = new RoomAdministration();

        Room b1 = new Room("ISBN 561-777","s", "Book", 2003);
        Room b2 = new Room("15081-7777", "d","CD", 2005, "Lost");
        Room b3 = new Room("10080-7777", "f", "DVD", 2005, "Available");
        roomHandler.addRoom(b1);
        roomHandler.addRoom(b2);
        roomHandler.addRoom(b3);

        System.out.println(roomHandler.allRoomsData());
        System.out.println(roomHandler);  //Automatically uses toString method

       roomHandler.registerRoomInfo("090378-7777","d", "Child", 2009);
       roomHandler.registerRoomInfo("090489-7777", "s","Adult", 2009);
        System.out.println(roomHandler.allRoomsData());

    }
}
