/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/*
 * BookingAdministrationGUI.java
 *
 * Created on 29-04-2009, 13:01:11
 */

package hotelbooking;
import hotel.*;
import javax.swing.JOptionPane;
/**
 *
 * @author admin
 */
public class BookingAdministrationGUI extends javax.swing.JFrame {

    /** Creates new form BookingAdministrationGUI */
    public BookingAdministrationGUI() {
        initComponents();
    }
    public BookingAdministrationGUI(BookingAdministration bookingHandler) {
        initComponents();
        this.bookingHandler = bookingHandler;
    }


    BookingAdministration bookingHandler;
    Guest aGuest;
    Room aRoom;
    Booking aBooking;
    RoomCatalog roomCat= new RoomCatalog();

    private void closeWindow() {
        this.dispose();
    }

    private String printEmptyLines(int noLines) {
        String s = "";
        for (int i = 0; i < noLines; i++)
            s = s +  "\n";
            return s;
     }

   private void adjustNumbers() {
        int num = bookingHandler.numberOfBookings();
        String numStr = new Integer(num).toString();
        numberTextField.setText(numStr);
    }


    private void bookingRooms() {
        roomCat.allRoomsData();
        dataArea.setText("");
        String guestNo = JOptionPane.showInputDialog("State GuestNo of borrower: ");
        aGuest = bookingHandler.getGuest(guestNo);
        if (aGuest == null){
            JOptionPane.showMessageDialog(null,"GuestNo not accepted");
        }
      else {

            roomCat.allRoomsData();
            // Guest found
//          roomCat
//            boolean moreRooms = true;
//            while(moreRooms) {
                String roomNo = JOptionPane.showInputDialog("State roomNo of room: ");
                aRoom = bookingHandler.getRoom(roomNo);
                if (aRoom == null)
                    JOptionPane.showMessageDialog(null,"RoomNo not accepted");
                else {
                    //Room found booking is created
//                    Booking aBooking = new Booking(guestNo, roomNo, aGuest, aRoom);
//                    bookingHandler.addBooking(aBooking);
                    bookingHandler.registerBookingInfo(guestNo, roomNo);
                    showRoom();
                    printEmptyLines(2);
                    aRoom.setState("Occupied");
                }

//                int no = (JOptionPane.showConfirmDialog(null, "More Rooms?"));
//                System.out.println(no);
//                if (no>0) moreRooms = false;
//                adjustNumbers();
//            }
        }
    }

    private void returnRooms() {

        dataArea.setText("");
        String guestNo = JOptionPane.showInputDialog("State GuestNo of borrower: ");
        aGuest = bookingHandler.getGuest(guestNo);
        if (aGuest == null){
            JOptionPane.showMessageDialog(null,"GuestNo not accepted");

        }
        else { // Guest found

//            boolean moreRooms = true;
//            while(moreRooms) {
                String roomNo = JOptionPane.showInputDialog("State roomNo of room: ");
                aBooking = bookingHandler.removeBooking(roomNo);
                if (aBooking == null)
                    JOptionPane.showMessageDialog(null,"RoomNo not accepted");
//                int no = (JOptionPane.showConfirmDialog(null, "More Rooms?"));
//                if (no>0) moreRooms = false;
//                adjustNumbers();
//            }
                aRoom.setState("Available");
        }
    }

    private void showRoom() {
        dataArea.append(aRoom.roomData());
        dataArea.append(printEmptyLines(2));
    }

    //Ass. 2e Show all rooms data
    private void showAllBookings() {
        allDataArea.setText(bookingHandler.allBookingsData());
        adjustNumbers();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        createButton = new javax.swing.JButton();
        jScrollPane1 = new javax.swing.JScrollPane();
        dataArea = new javax.swing.JTextArea();
        showlButton = new javax.swing.JButton();
        dataLabel = new javax.swing.JLabel();
        showAllButton = new javax.swing.JButton();
        dataAllLabel = new javax.swing.JLabel();
        jScrollPane2 = new javax.swing.JScrollPane();
        allDataArea = new javax.swing.JTextArea();
        noLabel = new javax.swing.JLabel();
        numberTextField = new javax.swing.JTextField();
        returnButton = new javax.swing.JButton();
        windowButton = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        jPanel1.setPreferredSize(new java.awt.Dimension(800, 600));

        createButton.setText("New Booking");
        createButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                createButtonActionPerformed(evt);
            }
        });

        jScrollPane1.setViewportView(dataArea);

        showlButton.setText("Show Guest Booking");
        showlButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                showlButtonActionPerformed(evt);
            }
        });

        dataLabel.setFont(new java.awt.Font("MS Sans Serif", 0, 14));
        dataLabel.setText("Booking Data");

        showAllButton.setText("Show All Bookings");
        showAllButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                showAllButtonActionPerformed(evt);
            }
        });

        dataAllLabel.setFont(new java.awt.Font("MS Sans Serif", 0, 14));
        dataAllLabel.setText("All Booking Data");

        jScrollPane2.setViewportView(allDataArea);

        noLabel.setFont(new java.awt.Font("MS Sans Serif", 1, 12));
        noLabel.setText("Total number");

        returnButton.setText("Check Out");
        returnButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                returnButtonActionPerformed(evt);
            }
        });

        windowButton.setText("Close Window");
        windowButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                windowButtonActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGap(50, 50, 50)
                .addComponent(createButton, javax.swing.GroupLayout.PREFERRED_SIZE, 180, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(190, 190, 190)
                .addComponent(dataLabel, javax.swing.GroupLayout.PREFERRED_SIZE, 210, javax.swing.GroupLayout.PREFERRED_SIZE))
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGap(50, 50, 50)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(returnButton, javax.swing.GroupLayout.PREFERRED_SIZE, 180, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(showAllButton, javax.swing.GroupLayout.PREFERRED_SIZE, 180, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(showlButton, javax.swing.GroupLayout.PREFERRED_SIZE, 180, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(180, 180, 180)
                .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 330, javax.swing.GroupLayout.PREFERRED_SIZE))
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGap(420, 420, 420)
                .addComponent(dataAllLabel, javax.swing.GroupLayout.PREFERRED_SIZE, 120, javax.swing.GroupLayout.PREFERRED_SIZE))
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGap(50, 50, 50)
                .addComponent(windowButton, javax.swing.GroupLayout.PREFERRED_SIZE, 180, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(70, 70, 70)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(noLabel, javax.swing.GroupLayout.PREFERRED_SIZE, 90, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(numberTextField, javax.swing.GroupLayout.PREFERRED_SIZE, 70, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(30, 30, 30)
                .addComponent(jScrollPane2, javax.swing.GroupLayout.PREFERRED_SIZE, 320, javax.swing.GroupLayout.PREFERRED_SIZE))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGap(55, 55, 55)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGap(15, 15, 15)
                        .addComponent(createButton))
                    .addComponent(dataLabel, javax.swing.GroupLayout.PREFERRED_SIZE, 30, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(7, 7, 7)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGap(10, 10, 10)
                        .addComponent(returnButton)
                        .addGap(17, 17, 17)
                        .addComponent(showAllButton)
                        .addGap(37, 37, 37)
                        .addComponent(showlButton))
                    .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 140, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(60, 60, 60)
                .addComponent(dataAllLabel)
                .addGap(21, 21, 21)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGap(190, 190, 190)
                        .addComponent(windowButton))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addComponent(noLabel, javax.swing.GroupLayout.PREFERRED_SIZE, 20, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(20, 20, 20)
                        .addComponent(numberTextField, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addComponent(jScrollPane2, javax.swing.GroupLayout.PREFERRED_SIZE, 220, javax.swing.GroupLayout.PREFERRED_SIZE)))
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, 800, javax.swing.GroupLayout.PREFERRED_SIZE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, 600, javax.swing.GroupLayout.PREFERRED_SIZE)
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void createButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_createButtonActionPerformed
        // TODO add your handling code here:
        bookingRooms();
}//GEN-LAST:event_createButtonActionPerformed

    private void showAllButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_showAllButtonActionPerformed
        // TODO add your handling code here:
        showAllBookings();
}//GEN-LAST:event_showAllButtonActionPerformed

    private void returnButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_returnButtonActionPerformed
        // TODO add your handling code here:
        returnRooms();
}//GEN-LAST:event_returnButtonActionPerformed

    private void windowButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_windowButtonActionPerformed
        // TODO add your handling code here:
        closeWindow();
}//GEN-LAST:event_windowButtonActionPerformed

    private void showlButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_showlButtonActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_showlButtonActionPerformed

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new BookingAdministrationGUI().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JTextArea allDataArea;
    private javax.swing.JButton createButton;
    private javax.swing.JLabel dataAllLabel;
    private javax.swing.JTextArea dataArea;
    private javax.swing.JLabel dataLabel;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JLabel noLabel;
    private javax.swing.JTextField numberTextField;
    private javax.swing.JButton returnButton;
    private javax.swing.JButton showAllButton;
    private javax.swing.JButton showlButton;
    private javax.swing.JButton windowButton;
    // End of variables declaration//GEN-END:variables

}
