/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package hoteldatabaseg4;

/**
 *
 * @author admin
 */
import hotelbooking.*;
import java.sql.*;
import hotel.*;

public class BookingSQL extends DMC_Connector {
public  BookingSQL() {
    }
public Room getRoomDB(String  aRoomNo) {
        String roomNo, category,type,state;
        int price;
        Room room = null;

        connector();

        String roomSelect = "select * from Room where roomNo = " + "\'" + aRoomNo + "\'";

        try {
            ResultSet rs = stmt.executeQuery(roomSelect);
            if (rs.next()) {
                
                roomNo = rs.getString(1);
                category = rs.getString(2);
                type = rs.getString(3);
                price = rs.getInt(4);
                state = rs.getString(5);

                room = new Room(roomNo,category,type,price,state);
            }
        } catch (SQLException ex) {
            System.err.println(ex.getMessage());
            closing();
        }

        closing();
        //System.out.println("returning guest");
        return room;
    }

    public int numberOfBookings() {
        int no = 0;
        connector();
        //connector();
        try {
            String bookingQuery = "select count(bookingNo) from  booking";
            ResultSet rs = stmt.executeQuery(bookingQuery);
            if (rs.next()) {
                no = rs.getInt(1);
            }
        } catch (SQLException ex) {
            System.out.println(ex.getMessage());
            closing();
        }
        closing();
        return no;
    }

    public void addBookingDB(Booking aBooking) {
        connector();
        
       String maximumSTR =  "select max(bookingNo) from Booking";

        try {
             ResultSet rs = stmt.executeQuery(maximumSTR);
             if (rs.next()){
              int maximum=  rs.getInt(1);
             int bookingNo = maximum +1;
              aBooking.setBookingNo(bookingNo);

            String bookingInsert  = "insert into Booking values ( " + aBooking.toDBString() + ")";
            stmt.executeUpdate(bookingInsert);
            
        }
        }
        catch (SQLException ex) {
            System.err.println(ex.getMessage());
            closing();
        }
        closing();
    }
    public int getBookingNo(){
        ResultSet rs = null;
        int bookingNo = 100;
        connector();
   String maximumSTR =  "select max(bookingNo) from Booking";
      try {
              rs = stmt.executeQuery(maximumSTR);
             if (rs.next()){
              int maximum=  rs.getInt(1);
              bookingNo = maximum +1;
             }

      }
      catch (SQLException ex) {
            System.err.println(ex.getMessage());
            closing();
        }
        closing();
        return bookingNo;
    }

    public void insertBookingDB(int guestNo, String roomNo, java.sql.Date date_From,java.sql.Date date_To) {
        connector();
        String maximumSTR =  "select max(bookingNo) from Booking";

        try {
             ResultSet rs = stmt.executeQuery(maximumSTR);
             if (rs.next()){
              int maximum=  rs.getInt(1);
             int bookingNo = maximum +1;

            String bookingInsert = "insert into Booking values (?,?,?,?,?)";
            PreparedStatement prepStmt = con.prepareStatement(bookingInsert);
            
            prepStmt.setInt(1, bookingNo);
            prepStmt.setInt(2, guestNo);
            prepStmt.setString(3, roomNo);
            prepStmt.setDate(4, date_From);
            prepStmt.setDate(5, date_To);
            
            
            prepStmt.executeUpdate();

            
            prepStmt.close();
        }
        }
        catch (SQLException ex) {
            System.err.println(ex.getMessage());
            closing();
        }
        closing();
    }

    public Booking getBookingDB(int aBookingNo) {
        String  roomNo;
         int bookingNo ,guestNo;
         java.sql.Date date_From, date_To;
        Booking booking = null;
        
        connector();
        
        String bookingSelect = "select * from Booking where bookingNo = " + "\'" + aBookingNo + "\'";
                

        try {
            ResultSet rs = stmt.executeQuery(bookingSelect);
            if (rs.next()) {
               bookingNo=rs.getInt(1);
                guestNo = rs.getInt(2);
                roomNo = rs.getString(3);
                date_From = rs.getDate(4);
                 date_To = rs.getDate(5);
                

                booking = new Booking(bookingNo,guestNo, roomNo, date_From,date_To);
            }
        } catch (SQLException ex) {
            System.err.println(ex.getMessage());
            closing();
        }

        closing();
        //System.out.println("returning booking");
        return booking;
    }
    public RoomCatalog getAvailableRooms(String aCategory,String aType,java.sql.Date date_From,java.sql.Date date_To){
       
       Room aRoom = null;
       RoomCatalog roomCat = new RoomCatalog();
       Booking aBooking;
       String category,type,roomNo,state;
       int price;
       connector();
       String roomSelect= "select r.* from Room where category = " + "\'" + aCategory + "\'"+
                " and roomtype = " + "\'" + aType + "\'" ;
       try{
           ResultSet rs = stmt.executeQuery(roomSelect);
            if (rs.next()) {

                roomNo = rs.getString(1);
                 category = rs.getString(2);
                  type = rs.getString(3);
                  price = rs.getInt(4);
                  state = rs.getString(5);


                aRoom = new Room( roomNo,category,type,price,state);
                roomCat.addRoom(aRoom);
            }
        } catch (SQLException ex) {
            System.err.println(ex.getMessage());
            closing();
        }

        closing();
        //System.out.println("returning booking");
        return roomCat;


    }
    public int getBill(int bookingNo,String roomNo){
       Booking b= getBookingDB(bookingNo);
       Room r = getRoomDB(roomNo);

       int amount = 0;
      connector();

        java.sql.Date date_From = b.getDate_From();

        java.sql.Date date_To = b.getDate_To();
     
//        RoomCatalog roomCat = new RoomCatalog();
//       Room aRoom = null;
//       roomCat.addRoom(aRoom);
//       String bookingSelect= "select * from booking where guestNo = " + "\'" + guestNo + "\'"+
//                " and roomNo = " + "\'" + roomNo + "\'" ;
//       try{
//            ResultSet rs = stmt.executeQuery(bookingSelect);
//       }

       CalendarCalculator cal = new CalendarCalculator();
       long days = cal.get_Period(date_To, date_From);
        amount = (int) (days * (r.getPrice()));


        return amount;
    }


    public void upDateBookingDB(int oldBookingNo, Booking aBooking) {
        connector();   
        try {
            int bookingNo = aBooking.getbookingNo();
             
            String bookingUpdate = " update Booking set " + aBooking.toDBUpdateString() +
                    " where bookingNo = " + "\'" + oldBookingNo + "\'";
                
            stmt.executeUpdate(bookingUpdate);
        } catch (SQLException ex) {
            System.err.println(ex.getMessage());
            closing();
        }
        closing();
    }

    public Booking deleteBookingDB(int bookingNo) {
        Booking booking = getBookingDB(bookingNo);
        if (booking != null) {
            connector();
            try {
                String bookingDelete = "delete from Booking where bookingNo = " + "\'" + bookingNo + "\'";
               
                stmt.executeUpdate(bookingDelete);

            } catch (SQLException ex) {
                System.err.println(ex.getMessage());
                closing();
            }
        }//if
        closing();
        return booking;
    }

    public ResultSet getAllBookingsAsResultSet() {
        ResultSet rs = null;
        connector();
        try {
            String bookingSelect = "select * from Booking";
            rs = stmt.executeQuery(bookingSelect);
        } catch (SQLException ex) {
            System.err.println(ex.getMessage());
            closing();
        }
        //closing(); DONT close dmc because then ResultSet cannot operate
        return rs;
    }

    public BookingCatalog getAllBookingsAsCollection() {
        int guestNo,bookingNo; String roomNo;
        java.sql.Date date_From,date_To;
        Booking booking;
        BookingCatalog bookings = new BookingCatalog();

        connector();

        String bookingSelect = "select * from Booking";
        try {
            ResultSet rs = stmt.executeQuery(bookingSelect);
            while (rs.next()) {
                bookingNo=rs.getInt(1);
                guestNo = rs.getInt(2);
                roomNo = rs.getString(3);
                date_From = rs.getDate(4);
                 date_To = rs.getDate(5);

                

                booking = new Booking(bookingNo,guestNo, roomNo,date_From,date_To);
               // bookings.addBooking(booking);
            }

        } catch (SQLException ex) {
            System.err.println(ex.getMessage());
            closing();
        }
        closing();
        return bookings;
    }
    

     public String allBookingData() {
         BookingCatalog bCat = getAllBookingsAsCollection();
         return bCat.allBookingsData();
       
    }
}
