/* CalendarCalculator Version 1.2
 * Copyright 2005 Michael Claudius, Inc. All Rights Reserved.
 * Last modified 2006.11.15, 2005.11.13
 * All rights reserved
 */
package hoteldatabaseg4;

//import java.sql.*; not necessary as we need to specify the package due to a Date class in util
//import java.text.DateFormat;
import java.util.*;

public class CalendarCalculator {

    private static java.sql.Date toDay,  date_From,  date_To;
    long period;
    /** Creates a new instance of Tester */
    private static CalendarCalculator instance = new CalendarCalculator();

     CalendarCalculator() {

        Calendar cal = Calendar.getInstance();
        int year = cal.get(Calendar.YEAR);
        int month = cal.get(Calendar.MONTH) + 1;
        int day = cal.get(Calendar.DAY_OF_MONTH);

        String aDate = year + "-" + month + "-" + day;
        this.toDay = java.sql.Date.valueOf(aDate);

        this.date_To = java.sql.Date.valueOf(aDate);

        this.date_From = java.sql.Date.valueOf(aDate);
    }

    public static java.sql.Date getToday() {
        return toDay;
    }

    public static java.sql.Date getDate_To() {
        return date_To;
    }

    public static java.sql.Date getDate_From() {
        return date_From;
    }

    public static CalendarCalculator getInstance() {
        return instance;
    }
    
    public long get_Period(java.sql.Date date_To,java.sql.Date date_From) {
        long nowLong1 = date_To.getTime();
        long nowLong2 = date_From.getTime();
        return  period = Math.round((nowLong1 - nowLong2) / (1000 * 60 * 60 * 24));
        
    }

    public static void main(String[] args) {

        Calendar cal = Calendar.getInstance();
        int year = cal.get(Calendar.YEAR);
        int month = cal.get(Calendar.MONTH) + 1; //MONTH are enumerated 0-11!
        int day = cal.get(Calendar.DAY_OF_MONTH);
        
        CalendarCalculator calcal= new CalendarCalculator();
        

        date_From = java.sql.Date.valueOf("2009-05-23");
        date_To = java.sql.Date.valueOf("2009-05-25");
        
        System.out.println();
        System.out.println("Guest stayed for: "+calcal.get_Period(date_To, date_From) + " days");
        
        System.out.println();
        System.out.println("Today is:"+CalendarCalculator.getToday());
        System.out.println("Guest check-in date:"+CalendarCalculator.getDate_From());
        System.out.println("Guest check-out date:"+CalendarCalculator.getDate_To());

    }
}
